package com.tcl.factory.view;

import android.view.KeyEvent;

 
import com.tcl.factory.bsp.TVDefine;
 
public class ParamSettingPIC extends SubMenu{
	//ͼЧ
	public static  String MenuInfos_ParamSettingPIC[][]={
		{"Picture mode",""},
		{"Brightness",""},
		{"Contrast",""},
		{"Backlight",""},
//		{"NatureLight(DBC)",""},
//		{"DCC",""},
	};
	public ParamSettingPIC()
	{
	    super.menuInfos = MenuInfos_ParamSettingPIC;
	    super.menuLabel = "Main\\Param Setting\\PIC";
	    super.setTAG();
	    updateMenuInfos();
	}

	public void KeyEvent(int keyCode,int pos)
	{
		super.enterSubMenu(pos);
		switch(keyCode)
		{
		case KeyEvent.KEYCODE_DPAD_LEFT:
		case KeyEvent.KEYCODE_DPAD_RIGHT:
		{		
			switch(pos)
			{
				case 0: super.ValueHandler(TVDefine.PictureMode, keyCode) ;break;
				case 1: super.ValueHandler(TVDefine.Brightness, keyCode);break;
				case 2: super.ValueHandler(TVDefine.Contrast, keyCode);break;
				case 3: super.ValueHandler(TVDefine.BackLight, keyCode);break;
	//			case 4: super.StatusHandler(TVDefine.DBC);break;
	//			case 5: super.StatusHandler(TVDefine.DCC);break;
				
	//			case 3: super.ValueHandler(TVDefine.ColorTemperature, keyCode) ;break;
	//			case 4: super.ValueHandler(TVDefine.Color, keyCode);break;
	//			case 5: super.ValueHandler(TVDefine.Sharpness, keyCode) ;break;		
			}
		}
		break;
		default:
			break;
		}			
	}

	/* (non-Javadoc)
	 * Factory
	 */
	@Override
	public void updateMenuInfos() 
	{
	   	super.updateValueInfo(TVDefine.PictureMode, 0);
		super.updateValueInfo(TVDefine.Brightness, 1);
		super.updateValueInfo(TVDefine.Contrast, 2);
		super.updateValueInfo(TVDefine.BackLight, 3);
//		super.updateStatusInfo(TVDefine.DBC, 4);
//		super.updateStatusInfo(TVDefine.DCC, 5);
		
	//	super.updateValueInfo(TVDefine.ColorTemperature, 3);
	//	super.updateValueInfo(TVDefine.Color, 4); // tint?
	//	super.updateValueInfo(TVDefine.Sharpness, 5);} 
	}
}
